package initialization

import (
	"im-microservice/helper"
	"im-microservice/pb"
	"im-microservice/sevice/health"
	"im-microservice/sevice/im_chat_room"
	ic "im-microservice/sevice/im_configure"
	"im-microservice/sevice/im_user"
	iur "im-microservice/sevice/im_user_relationship"

	"google.golang.org/grpc"
	"google.golang.org/grpc/reflection"
)

var RpcServer *grpc.Server

func init() {
	var opts []grpc.ServerOption
	opts = append(opts, grpc.UnaryInterceptor(helper.Auth))
	s := grpc.NewServer(opts...)
	srv := health.NewServer()
	pb.RegisterHealthServer(s, srv)
	pb.RegisterConfigureSeviceServer(s, &ic.ConfigureSevice{})
	pb.RegisterChatRoomServiceServer(s, &im_chat_room.ImChatRoomService{})
	pb.RegisterImUserServer(s, &im_user.ImUserServer{})
	pb.RegisterUserRelationshipServiceServer(s, &iur.UserRelationshipService{})
	reflection.Register(s)
	RpcServer = s
}
